#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>

#define OLED_RESET    -1
#define SCREEN_WIDTH  128
#define SCREEN_HEIGHT 64

// Define I2C address for the OLED display (usually 0x3C for 128x64)
#define OLED_ADDRESS  0x3C

Adafruit_SSD1306 display(SCREEN_WIDTH, SCREEN_HEIGHT, &Wire, OLED_RESET);

void setup() {
  Serial.begin(115200);

  // Initialize the OLED display with the I2C address
  if(!display.begin(SSD1306_SWITCHCAPVCC, OLED_ADDRESS)) {
    Serial.println(F("SSD1306 allocation failed"));
    for(;;);
  }

  // Clear the display buffer
  display.clearDisplay();
}

void loop() {
  // Clear the previous contents of the display buffer
  display.clearDisplay();

  // Set text size, color, and position
  display.setTextSize(2.5);
  display.setTextColor(SSD1306_WHITE);
  display.setCursor(0, 0);

  // Display your desired text
  display.println("Fab Lab Sumit");

  // Display buffer contents on the OLED display
  display.display();

  delay(1000); // Delay for visibility, adjust as needed
}
